dofile("scripts/entities/entityinclude.lua")

function init()

	--return
	
	
	n = getNaija()
	
	setCameraLerpDelay(0.00001)
	
	black = getNode("black")
	floatingcity = getNode("floating-city")
	mia = getNode("mia")
	nprime = getNode("nprime")
	energyboss = getNode("energyboss")
	forestgoddess = getNode("forestgoddess")
	mithala = getNode("mithala")
	ericmom = getNode("ericmom")
	mutantnaija = getNode("mutantnaija")
	ghostmom = getNode("ghostmom")
	
	
	cam_toNode(black)
	
	setSceneColor(1,1,1)
	
	watch(4)
	
	
	fadeIn(0.1)
	
	fade2(0, 1, 1, 1, 1)
	watch(1)
	
	playVoice("eric")
	
	watch(12) -- 12
	
	fade2(1, 0.5) watch(0.5)
	cam_toNode(floatingcity)
	fade2(0, 0.5) watch(0.5)
	
	watch(9) -- 9
	
	-- 22
	setSceneColor(0.1, 0.3, 1)
	
	fade2(1, 0.5, 1, 0.5, 0.5)
	watch(0.5)
	
	cam_toNode(black)
	
	-- 22.5
	fade2(0, 4.5, 1, 0.5, 0.5)
	watch(4.5)
	
	-- 26
	watch(4.5)
	
	fade2(1, 0.5, 1, 1, 1)
	watch(0.5)
	
	-- 32
	
	
	fade2(0, 16, 1, 1, 1)
	
	watch(16)
	
	-- 48
	watch(5)
	
	-- 53
	
	cam_toNode(nprime)
	watch(3)
	
	cam_toNode(energyboss)
	watch(3)
	
	cam_toNode(mithala)
	watch(3)
	
	-- 1:02
	
	fade2(1, 4)
	watch(8)
	
	-- 1:10
	
	fade2(1,0)
	
	cam_toNode(ghostmom)
	
	fade2(0,10)
	watch(10)
	
	-- 1:20
	
	watch(10)
	
	-- 1:30
	
	fade2(1, 10)
	watch(10)
	
	-- 1:40
	
	watch(4)
	
	fade2(0,0)
	
	cam_toNode(mutantnaija)
	watch(1)
	
	cam_toNode(ericmom)
	watch(1)
	
	cam_toNode(forestgoddess)
	watch(1)
	
	watch(2)
	
	-- 1:49
	fade2(1, 1)
	watch(1)
	
	-- 1:50
	
	cam_toNode(mia)
	
	fade2(0, 5)
	watch(5)
	
	-- 1: 55
	
	watch(4)
	
	-- 1:59
	fade2(1, 3)
	watch(3)
	
	-- 2:02
	
	cam_toNode(black)
	
	watch(38)
	
	-- 2:40
	
	

	
	
	
	setCameraLerpDelay(0)
	
	loadMap("finalescape")
end

